> ## Documentation Index
> Fetch the complete documentation index at: https://docs.renaiss.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# 验证收货地址

> 查询运费前先验证收货地址。读取 HTTP `200` 响应中的 `status` 和 `detail`，查看地址是否需要修正。

[查询运费](https://docs.renaiss.xyz/cn/api-reference/redeem/quote-shipping.md)前先读取验证结果。即使 HTTP 请求成功，地址也可能需要处理。

* `verified` 表示地址已通过验证。
* 若返回 `corrected`、`missing_information`、`review_required`、`failed` 或 `none`，请根据 `detail` 中的说明提示用户。

## 请求

需要开发者密钥和钱包访问令牌

## 响应

## 错误码

在下表中查找接口返回的 HTTP 状态码和响应原文。有关各接口通用的处理建议，请参阅[错误码含义与处理方式](https://docs.renaiss.xyz/cn/api-reference/errors.md)。

| HTTP | 错误码 | 文本字段 | 响应文本与处理方式 |
| :- | :- | :- | :- |
| `400` | `REDEEM_ADDRESS_VALIDATION_API_ERROR` | `error` | `Redemption request failed` 暂未获取地址验证结果，请稍后重试。 |
| `400` | `WRONG_REQUEST_PARAMS` | `error` | `Shipping destination is not supported` `Invalid redemption input` `Request body is too large` 字段缺失、格式错误、目的地不支持配送，或缺少目的地要求的州或省。请修正地址后重发。 |
| `401` | `API_AUTH_INVALID_CREDENTIAL` | `error` | `Invalid authentication credential` 密钥或钱包令牌格式错误、未知、已过期或被撤销。核对密钥，刷新钱包令牌或让钱包重新登录。 |
| `401` | `API_AUTH_MISSING_CREDENTIAL` | `error` | `Required authentication credential is missing` 缺少开发者密钥或钱包访问令牌。请在 `x-builder-api-key` 中发送密钥，并同时发送 Bearer 令牌。 |
| `403` | `API_AUTH_CREDENTIAL_NOT_ALLOWED` | `error` | `Credential is not allowed by this policy` 路由不接受所提供的某些凭据。仅发送开发者密钥和钱包访问令牌。 |
| `403` | `API_AUTH_INSUFFICIENT_SCOPE` | `error` | `Required authentication scope is missing` 令牌缺少所需权限，读取需 `redeem:read`，修改需 `redeem:write`。请钱包重新登录并申请相应权限。 |
| `403` | `API_AUTH_INTEGRATION_MISMATCH` | `error` | `Authentication integrations do not match` 令牌和密钥属于不同开发者。请使用签发令牌的开发者对应的密钥。 |
| `403` | `API_AUTH_SUBJECT_MISMATCH` | `error` | `Authentication subjects do not match` 令牌所属链与 API 不符。请针对正确的链重新验证钱包。 |
| `403` | `GACHA_V3_BUILDER_NOT_ACCEPTED_ON_PUBLIC_API` | `error` | `This builder checks out on its own surface, not on the public API` 此密钥无法用于当前 API。请联系 Renaiss，无需重试。 |
| `429` | `API_AUTH_RATE_LIMITED` | `error` | `Authentication rate limit exceeded` 已达到密钥的请求频率上限。稍候再以较低频率重试。 |
| `500` | `API_AUTH_INVALID_CONFIGURATION` | `error` | `Internal server error` 若钱包认证持续失败，请将 `x-request-id` 提供给 Renaiss。 |
| `500` | `API_AUTH_ERROR` | `error` | `Internal server error` |
| `500` | `FUNCTION_ERROR` | `error` | `Internal server error` |
| `500` | `REDEEM_ADDRESS_VALIDATION_FAILED` | `error` | `Internal server error` 请稍后重新查询。 |


## OpenAPI

````yaml cn/api-reference/openapi.json POST /v2/redeem/address/validate
openapi: 3.1.1
info:
  version: 1.0.0
  title: Renaiss 开发者 API v2
  description: >-
    在 BNB 智能链（链 ID 56）上使用外部钱包接入抽卡、交易市场和实物兑换。所有已批准且有效的开发者密钥均可准备购买。


    藏品包括钱包可抽取、交易、回售或兑换的物品，例如卡牌。接口路径、字段和描述统一使用 collectible 表示藏品。


    可以匿名浏览目录。准备购买后，请由买家钱包签名。抽卡记录和回购报价需要开发者密钥，购买和回购还需操作签名。私有配送信息及兑换需要钱包访问令牌，由钱包在已注册的合作方来源签署登录消息后签发。抽卡和市场不使用钱包访问令牌。请在后端保管开发者密钥。


    操作钱包可以是 EOA 或已部署的 ERC-1271 合约账户。不支持 EIP-7702 委托账户、ERC-6492 或 ERC-8010 封装签名及
    Renaiss 托管的 Safe（签名验证后才会识别并拒绝该类 Safe）。无法接收 ERC-721 的合约钱包抽卡会返回
    `CONTRACT_WALLET_CANNOT_RECEIVE_NFT`。链上读取失败返回
    `API_AUTH_ERROR`（500）。钱包访问令牌及实物兑换仅支持 EOA。
servers:
  - url: https://api.renaiss.xyz
    description: BNB 智能链主网
  - url: https://dev-api.renaiss.xyz
    description: BNB 测试网
security: []
tags:
  - name: Gacha v2
    description: 使用 EOA 浏览和购买卡包、揭晓藏品、读取购买记录及回购。无需钱包访问令牌。
  - name: Marketplace
    description: 公开浏览藏品，通过外部钱包挂牌、出价、购买或撤单。交易需要开发者授权及钱包操作签名。
  - name: Users
    description: 查询特定钱包的藏品、市场总估值和链上活动。仅需开发者密钥，各接口按相应的可见范围返回记录。
  - name: Redemption
    description: 查询兑换资格、运费报价，准备并提交兑换及跟踪物流。需要开发者密钥及同一钱包的访问令牌。
  - name: Wallet access tokens
    description: >-
      获取、刷新或撤销实物兑换使用的钱包访问令牌。钱包签署一次性登录消息（5 分钟有效）后，API 返回访问令牌（15 分钟）和一次性刷新令牌（7
      天）。先注册精确的合作方前端来源。抽卡和市场无需钱包访问令牌。
paths:
  /v2/redeem/address/validate:
    post:
      tags:
        - Redemption
      summary: 验证收货地址
      description: 查询运费前先验证收货地址。读取 HTTP `200` 响应中的 `status` 和 `detail`，查看地址是否需要修正。
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                countryCode:
                  type: string
                  pattern: ^[A-Z]{2}$
                addressLine1:
                  type: string
                  minLength: 1
                  maxLength: 35
                addressLine2:
                  type: string
                  maxLength: 35
                city:
                  type: string
                  minLength: 1
                  maxLength: 200
                state:
                  type: string
                  maxLength: 200
                postalCode:
                  type: string
                  minLength: 1
                  maxLength: 20
              required:
                - countryCode
                - addressLine1
                - city
                - postalCode
              additionalProperties: false
      responses:
        '200':
          description: 成功
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                  detail:
                    type: string
                required:
                  - status
                  - detail
        '400':
          description: |-
            收货地址被拒或暂时无法验证。

            见[错误码与处理方式](/cn/api-reference/redeem/validate-address#http-errors)。
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: 简短的错误说明。
                  code:
                    type: string
                    enum:
                      - WRONG_REQUEST_PARAMS
                      - REDEEM_ADDRESS_VALIDATION_API_ERROR
                required:
                  - error
                  - code
              example:
                error: Shipping destination is not supported
                code: WRONG_REQUEST_PARAMS
        '401':
          description: |-
            开发者密钥或钱包访问令牌无效。

            见[错误码与处理方式](/cn/api-reference/redeem/validate-address#http-errors)。
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: 简短的错误说明。
                  code:
                    type: string
                    enum:
                      - API_AUTH_MISSING_CREDENTIAL
                      - API_AUTH_INVALID_CREDENTIAL
                required:
                  - error
                  - code
              example:
                error: Required authentication credential is missing
                code: API_AUTH_MISSING_CREDENTIAL
        '403':
          description: |-
            开发者密钥或钱包访问令牌无此操作权限。

            见[错误码与处理方式](/cn/api-reference/redeem/validate-address#http-errors)。
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: 简短的错误说明。
                  code:
                    type: string
                    enum:
                      - API_AUTH_INSUFFICIENT_SCOPE
                      - API_AUTH_INTEGRATION_MISMATCH
                      - API_AUTH_SUBJECT_MISMATCH
                      - API_AUTH_CREDENTIAL_NOT_ALLOWED
                      - GACHA_V3_BUILDER_NOT_ACCEPTED_ON_PUBLIC_API
                required:
                  - error
                  - code
              example:
                error: Required authentication scope is missing
                code: API_AUTH_INSUFFICIENT_SCOPE
        '429':
          description: |-
            该开发者密钥的请求过于频繁。

            见[错误码与处理方式](/cn/api-reference/redeem/validate-address#http-errors)。
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: 简短的错误说明。
                  code:
                    type: string
                    enum:
                      - API_AUTH_RATE_LIMITED
                required:
                  - error
                  - code
              example:
                error: Authentication rate limit exceeded
                code: API_AUTH_RATE_LIMITED
        '500':
          description: |-
            服务端暂时失败，请稍后重试。

            见[错误码与处理方式](/cn/api-reference/redeem/validate-address#http-errors)。
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: 简短的错误说明。
                  code:
                    type: string
                required:
                  - error
                  - code
              example:
                error: Internal server error
                code: FUNCTION_ERROR
      security:
        - builderAuth: []
          walletSession: []
components:
  securitySchemes:
    builderAuth:
      type: apiKey
      in: header
      name: x-builder-api-key
      description: >-
        已获准使用的开发者 API 密钥，仅在后端保存。抽卡和市场的写入操作还需钱包签名，实物兑换还需钱包签署登录消息后由 API 签发的 Bearer
        令牌。
    walletSession:
      type: http
      scheme: bearer
      description: 钱包访问令牌，用于实物兑换的 Bearer 身份验证。

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.